Name:       security-menus
Version:    1.0.3
Release:    1%{?dist}
Summary:    Menu Structure for the Security Spin

License:    GPLv2
Group:      User Interface/Desktops

URL:        https://fedorahosted.org/security-spin
Source0:    https://fedorahosted.org/released/security-spin/security-menus-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires : redhat-menus
BuildRequires: desktop-file-utils 
BuildArch: noarch

%description
This Package adds a Security Lab sub-menu to the 
xdg menu structure for GNOME and LXDE.

%{name} is listed among Fedora Security Lab packages.

%prep
%setup -q

%build

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
for file in  %{buildroot}/%{_datadir}/applications/*; do desktop-file-validate $file; done;

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/*.menu
%{_datadir}/desktop-directories/*.directory
%{_datadir}/applications/*.desktop


%changelog
* Fri Aug 28 2010 Joerg Simon <jsimon@fedoraproject.org> - 1.0.3-1
- changed to downsize the spin

* Fri Aug 27 2010 Joerg Simon <jsimon@fedoraproject.org> - 1.0.2-1
- Added new entries

* Sat Mar 13 2010 Joerg Simon <jsimon@fedoraproject.org> - 1.0.1-1
- Added ncrack to the menu

* Fri Jan 15 2010 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-7
- Changed packge name to security-menus

* Wed Jan 13 2010 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-6
- Fixed .menu file, thanks to Joerg for the patch

* Tue Jan 12 2010 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-5
- Rename X-Security-Lab to X-SecurityLab for better fdo compliance.  Whitespces  are usually just left out.
i Add subcategories X-Anonymity, X-CodeAnalysis, X-Forensics,  X-IntrusionDetection, X-Password-Tools, X-Reconnaissance and  X-Wireless
- Use TryExec to determine installed apps, see http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s05.html
- Menu tweaks
- Enhance Makefile
- Added AUTHORS
- Added ChangeLog (for upstream changes, not packaging).
- Added desktop-file-validate
- Fixed requires

* Sat Dec 19 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-4
- Changed Categories to X-Security-Lab
- Changed Source file name to include version number

* Sat Dec 19 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-3
- Renamed files to start with security- to avoid conflict

* Sat Dec 19 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-2
- Fixed problems with Makefile
- Fixed License

* Fri Dec 18 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-1
- Initial package for Fedora
